## org.apache.lucene.util
Class UnicodeUtil.UTF8Result

    java.lang.Object
      org.apache.lucene.util.UnicodeUtil.UTF8Result

Enclosing class:
  UnicodeUtil

    public static final class UnicodeUtil.UTF8Result

extends Object

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

Field Summary
`int` `length`
`byte[]` `result`

Constructor Summary
`UnicodeUtil.UTF8Result()`

Method Summary
`void` `setLength(int newLength)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### result

    public byte[] result

### length

    public int length

Constructor Detail

### UnicodeUtil.UTF8Result

    public UnicodeUtil.UTF8Result()

Method Detail

### setLength

    public void setLength(int newLength)

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.